import { ITitle, IPosition, IAlign, IFont, ILinearAxis, IPointStyle } from './utils/utils';

export interface IBubbleChart {
    type: "bubble",
    headers: boolean,
    markers: boolean,
    orientation: 'vertical' | 'horizontal',
    labels: string,
    xAxis: string,
    yAxis: string,
    data: string,
    series: [{
        yAxis?: 'left' | 'right',
        color: string,
        borderColor?: string,

        point: {
            borderWidth?: number,
            rotation?: number,
            style: IPointStyle,
        },
    }],
    title?: ITitle,
    subtitle?: ITitle,
    legend?: {
        display?: boolean,
        position?: IPosition,
        align?: IAlign,

        labels?: {
            font?: IFont,
            reverse?: true,
        },

        legendTitle?: {
            text: string,
            font?: IFont
        },
    },
    axis?: {
        base?: ILinearAxis,
        side?: ILinearAxis,
        side2?: ILinearAxis,
    }
}