import { CartesianChart } from './utils/CartesianChart';
import { IDashStyle, IPointStyle } from './utils/utils';

export interface ILineChart extends CartesianChart {
    type: "line",
    series?: {
        drawNullValues?: boolean,
        yAxis?: 'left' | 'right',

        color?: string,
        borderColor?: string,

        line?: {
            width?: number,
            dash?: IDashStyle
        } & (
            {
                curve?: number,
            } |
            {
                stepped?: 'before' | 'middle' | 'after',
            }
        ),

        point?: {
            borderWidth?: number,
            radius?: number,
            rotation?: number,
            style?: IPointStyle,
        },
    }[],
}