import { CartesianChart } from './utils/CartesianChart';
import { IDashStyle, IPointStyle } from './utils/utils';

export interface IParetoChart extends Omit<CartesianChart, 'datasets' | 'legend'> {
    type: "pareto",
    datasets?: [string],
    series?: [
        {
            color?: string,
            borderColor?: string,
            radius?: number,
            borderWidth?: number,
        },
        {
            color?: string,
            borderColor?: string,

            line?: {
                width?: number,
                dash?: IDashStyle
            } & (
                {
                    curve?: number,
                } |
                {
                    stepped?: 'before' | 'middle' | 'after',
                }
            ),

            point?: {
                borderWidth?: number,
                radius?: number,
                rotation?: number,
                style?: IPointStyle,
            },
        },
    ],
}